- name: Deploy edxapp
  hosts: all
  become: True
  gather_facts: True
  vars:
    serial_count: 1
  serial: "{{ serial_count }}"
  roles:
    - common
    - devpi_consumer
    - role: nginx
      nginx_sites:
      - lms
      - cms
      nginx_default_sites:
      - lms
      nginx_extra_sites: "{{ NGINX_EDXAPP_EXTRA_SITES }}"
      nginx_extra_configs: "{{ NGINX_EDXAPP_EXTRA_CONFIGS }}"
    - edxapp
